Retrieve a Session
GET/checkout/sessions/:session_id
Returns a Session.
Request
Path Parameters
Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Session's ID
Responses
- 200
- 401
- 403
- 404
- 409
- 500
Session retrieved
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [success]
data
object
Session
Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
UUID v4
Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
UUID v4
Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
UUID v4
Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
UUID v4
The URL to where the customer should be redirected to complete the payment.
Possible values: [open, complete, expired]
Possible values: [in_progress, requires_extra_action, failed, paid, unpaid, no_payment_required]
total_amount
object
Money representation
Possible values: <= 9999999999
Amount expressed in cents. 1 USD should be submitted as 100 cents
ISO 4217 representation of the currency
ID provided by merchant to associate the session with merchants' own system.
The URL the customer will be redirected to when the payment succeeds.
The URL the customer will be redirected to when the payment is cancelled by the customer.
Unix timestamp representing the date
Description of the session.
metadata
object
A metadata object containing key-value pairs. Keys must be strings, and values are strings. The object can also be empty.
Unix timestamp representing the date
Possible values: [200]
Possible values: [Successful request]
{
"status": "success",
"data": {
"id": "ec7e1848-dc80-4ab0-8827-dd7fc0737b43",
"merchant_id": "ec7e1848-dc80-4ab0-8827-dd7fc0737b43",
"customer_id": "ec7e1848-dc80-4ab0-8827-dd7fc0737b43",
"payment_method_id": "ec7e1848-dc80-4ab0-8827-dd7fc0737b43",
"checkout_url": "string",
"status": "open",
"payment_status": "in_progress",
"total_amount": {
"value": 99,
"currency": "USD"
},
"client_reference_id": "string",
"success_url": "string",
"cancel_url": "string",
"expires_at": 1656656767,
"description": "string",
"metadata": {},
"created_on": 1656656767
},
"code": 200,
"message": "Successful request"
}
Access token is missing or invalid
Access denied
Session not found
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [not found]
Possible values: [404]
Failure reason
{
"status": "not found",
"code": 404,
"message": "Entity not found"
}
Failure due to a conflict in the provided entity
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [fail]
Possible values: [409]
Failure reason
{
"status": "fail",
"code": 409,
"message": "Entity with Id already exists"
}
Server error